Subject: [dns-dir] DNS-EW: draft-wang-improve-dns-resolver-00.txt

From: DNS_EARLY_WARNING <[email-masked]>
Date: Mon, 5 Jul 2010 14:40:01 -0400

Count:       18 

Internet Engineering Task Force                                  Y. Wang
Internet-Draft                                                    X. Lee
Intended status: Informational                                     CNNIC
Expires: January 6, 2011                                    July 5, 2010

    Improving the caching DNS resolvers against "authority failure"
                   draft-wang-improve-dns-resolver-00

 Abstract

   This document provides a new mechanism for caching DNS resolvers.
   When all the authoritative name servers for a zone fail, the caching
   DNS resolvers extend the lifetime of resource records in the zone in
   the cache to provide resolution service as far as possible.  And when
   the request can't be found in the cache, during a period of time the
   caching DNS resolvers don't query the authoritative name servers, but
   directly return a NXDOMAIN to the clients to reduce the recursive
   name server load and the network load.